Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class LogUtil

    java.lang.Object
      org.apache.fop.util.LogUtil

public class LogUtil
extends java.lang.Object

Convenience Logging utility methods used in FOP

Constructor Summary
`LogUtil()`

Method Summary
`static void` | `handleError(org.apache.commons.logging.Log log, java.lang.String errorStr, boolean strict)` Convenience method that handles any error appropriately
`static void` | `handleException(org.apache.commons.logging.Log log, java.lang.Exception e, boolean strict)` Convenience method that handles any error appropriately

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogUtil

    public LogUtil()

Method Detail

### handleError

    public static void handleError(org.apache.commons.logging.Log log,
                                   java.lang.String errorStr,
                                   boolean strict)
                            throws FOPException

  Convenience method that handles any error appropriately

  Parameters:
    `log` - log
    `errorStr` - error string
    `strict` - validate strictly
  Throws:
    `FOPException` - fop exception

### handleException

    public static void handleException(org.apache.commons.logging.Log log,
                                       java.lang.Exception e,
                                       boolean strict)
                                throws FOPException

  Convenience method that handles any error appropriately

  Parameters:
    `log` - log
    `e` - exception
    `strict` - validate strictly
  Throws:
    `FOPException` - fop exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.